Bug 18830 - wget incorrectly timestamps downloaded file
Summary: wget incorrectly timestamps downloaded file
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: wget (Show other bugs)
(Show other bugs)
Version: 6.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-10 16:49 UTC by Rob McMillin
Modified: 2014-03-17 02:16 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-13 15:07:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Rob McMillin 2000-10-10 16:49:20 UTC
The timestamp wget puts on the downloaded file versus what appears in the
HTTP Last-Modified header (visible if you use the -S option) sometimes
differ. This seems to go away when the environment variable TZ is set to
GMT. Here's an example:

---------------------------------------------------
rlm@triton libs]$ date
Tue Oct 10 09:45:10 PDT 2000
[rlm@triton libs]$ wget -S http://www.scareduck.com/index.html
--09:46:06--  http://www.scareduck.com:80/index.html
           => `index.html'
Connecting to www.scareduck.com:80... connected!
HTTP request sent, awaiting response... 200 OK
2 Date: Tue, 10 Oct 2000 16:46:06 GMT
3 Server: Apache/1.3.12 (Unix)  (Red Hat/Linux)
4 Last-Modified: Wed, 13 Sep 2000 04:05:11 GMT
5 ETag: "6f524-957-39befcf7"
6 Accept-Ranges: bytes
7 Content-Length: 2391
8 Connection: close
9 Content-Type: text/html
10 

    0K -> ..                                                     [100%]

09:46:07 (25.11 KB/s) - `index.html' saved [2391/2391]

[rlm@triton libs]$ export TZ=GMT
[rlm@triton libs]$ ls -l index.html
-rw-r--r--   1 rlm      dev          2391 Sep 13 03:05 index.html
[rlm@triton libs]$ rm index.html
[rlm@triton libs]$ wget -S http://www.scareduck.com/index.html
--16:47:01--  http://www.scareduck.com:80/index.html
           => `index.html'
Connecting to www.scareduck.com:80... connected!
HTTP request sent, awaiting response... 200 OK
2 Date: Tue, 10 Oct 2000 16:47:01 GMT
3 Server: Apache/1.3.12 (Unix)  (Red Hat/Linux)
4 Last-Modified: Wed, 13 Sep 2000 04:05:11 GMT
5 ETag: "6f524-957-39befcf7"
6 Accept-Ranges: bytes
7 Content-Length: 2391
8 Connection: close
9 Content-Type: text/html
10 

    0K -> ..                                                     [100%]

16:47:01 (23.59 KB/s) - `index.html' saved [2391/2391]

[rlm@triton libs]$ ls -l index.html
-rw-r--r--   1 rlm      dev          2391 Sep 13 04:05 index.html

-------------------------------------------------------

I subsequently tried this with the -N switch and got the same result.

This problem also appears in Pinstripe.

Comment 1 Bill Nottingham 2001-01-30 23:46:47 UTC
This appears to be fixed with the wget package currently in rawhide.


Note You need to log in before you can comment on or make changes to this bug.